return {
    "stevearc/conform.nvim",
    dependencies = { "clangd_extensions.nvim", "mason.nvim" },
    opts = function()
        local opts = {
            formatters_by_ft = {
                cpp = { "clang_format" },
                c = { "clang_format" },
                lua = { "stylua" },
                fish = { "fish_indent" },
                sh = { "shfmt" },
                json = {
                    "fixjson",
                },
            },
        }
        return opts
    end,
}
